import org.trinitydesktop.qt.*;

public class SignalForwarder extends TQDialog {

	SignalForwarder() {
		TQPushButton searchButton = new TQPushButton("Search", this);
		connect( searchButton, SIGNAL("clicked()"), this, SIGNAL("continueSearch()"));		
		connect( this, SIGNAL("continueSearch()"), this, SLOT("slotContinueSearch()"));		
	}

	public void slotContinueSearch()
	{
		System.out.println("in continueSearch()...");
	}
		
	public static void main(String[] args)
	{
		TQApplication myapp = new TQApplication(args);
		
		SignalForwarder signalForwarder = new SignalForwarder();
		myapp.setMainWidget(signalForwarder);
		signalForwarder.show();
		myapp.exec();
		
		return;
	}
	
	static {
                qtjava.initialize();
	}
}
